Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.extractor
Class XSSFImportFromXML

    java.lang.Object
      org.apache.poi.xssf.extractor.XSSFImportFromXML

    public class XSSFImportFromXML

extends java.lang.Object

Imports data from an external XML to an XLSX according to one of the mappings defined.The output XML Schema must respect this limitations:

- the input XML must be valid according to the XML Schema used in the mapping
- denormalized table mapping is not supported (see OpenOffice part 4: chapter 3.5.1.7)
- all the namespaces used in the document must be declared in the root node

Constructor Summary
`XSSFImportFromXML(XSSFMap map)`

Method Summary
`void` | `importFromXML(java.lang.String xmlInputString)` Imports an XML into the XLSX using the Custom XML mapping defined

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFImportFromXML

    public XSSFImportFromXML(XSSFMap map)

Method Detail

### importFromXML

    public void importFromXML(java.lang.String xmlInputString)
                       throws org.xml.sax.SAXException,
                              javax.xml.xpath.XPathExpressionException,
                              javax.xml.parsers.ParserConfigurationException,
                              java.io.IOException

  Imports an XML into the XLSX using the Custom XML mapping defined

  Parameters:
    `xmlInputString` - the XML to import
  Throws:
    `org.xml.sax.SAXException` - if error occurs during XML parsing
    `javax.xml.xpath.XPathExpressionException` - if error occurs during XML navigation
    `javax.xml.parsers.ParserConfigurationException` - if there are problems with XML parser configuration
    `java.io.IOException` - if there are problems reading the input string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.